TIBCO EMS .NET API 8.5 TIBCO EMS .NET API 8.5

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
TIBCO.EMS.TransactionInProgressException Class Reference

This exception indicates that the transaction associated with processing of the request is in progress More...

Inheritance diagram for TIBCO.EMS.TransactionInProgressException:

## Public Member Functions
| TransactionInProgressException (string reason, string errorCode)
| Initializes a new instance of the TransactionInProgressException with the specified reason and error code. More...
| TransactionInProgressException (string reason)
| Initializes a new instance of the TransactionInProgressException with the specified reason. More...
Public Member Functions inherited from TIBCO.EMS.EMSException
| EMSException (string reason, string errorCode)
| Initializes a new instance of the EMSException with the specified reason and error code. More...
| EMSException (string reason)
| Initializes a new instance of the EMSException with the specified reason. More...
| EMSException (string reason, int errorNumber)
| Initializes a new instance of the EMSException with the specified reason and error number More...

## Additional Inherited Members
Properties inherited from TIBCO.EMS.EMSException
string | ErrorCode`[get]`
| Gets the error code associated with this exception More...
System.Exception | LinkedException`[get, set]`
| Get and Set the exception linked to this one More...

## Detailed Description

This exception indicates that the transaction associated with processing of the request is in progress

When a session uses an XA transaction manager, the XA resource must be the location for all commit and rollback requests. Local commit or rollback calls are not permitted, and throw this exception.

## Constructor & Destructor Documentation

TIBCO.EMS.TransactionInProgressException.TransactionInProgressException | ( | string | reason,
|  | string | errorCode
| ) |  |
| inline

Initializes a new instance of the TransactionInProgressException with the specified reason and error code.

TIBCO.EMS.TransactionInProgressException.TransactionInProgressException | ( | string | reason | ) |
| inline

Initializes a new instance of the TransactionInProgressException with the specified reason.